Order

A list of all publicly available methods for interacting with the API.

GET

Get order

/package/order/{id}

Get order / prices information by package.

This method requires authorization!
You can use your own API key, which can be obtained at control panel.
This method - requires permissions -packages.read
When creating an API token in your control panel, you can choose certain permissions (for example: prevent the token from placing orders).
You can also find a list of permissions in our documentation.

Query method

GEThttps://api.stableproxy.com/v2/package/order/{id}

Query parameters

IdentifierRegulationsExample
id1required79

Code examples

1const baseUrl = "https://api.stableproxy.com/v2";
2const response = await fetch(baseUrl + "/package/order/{id}", {
3 method: "GET",
4 headers: {
5 "Authorization": "API-Token [YOUR TOKEN]",
6 "Content-Type": "application/json"
7 }
8});
9const data = await response.json();

Examples of answers

Success response200application/json
{
  "data": {
    "id": "2b3bd607-7e53-4d7d-84c5-e12b20ff9e71",
    "type": "shared",
    "count": 10,
    "traffic_amount": 100,
    "traffic_unit": "gb",
    "period_amount": 1,
    "period_unit": "months",
    "countries": [],
    "currency": "UAH",
    "added_price_per_day": 0,
    "has_unlimited_auth_ips": false,
    "user_id": 1,
    "already_spent_in_usd": 1,
    "version": 32,
    "deleted_at": null,
    "created_at": "2024-10-30T10:54:10.000000Z",
    "updated_at": "2024-10-30T10:54:10.000000Z",
    "ip_score": 0,
    "geo_service": null,
    "already_spent": 43.62,
    "pay_for_setup": false,
    "prices": {
      "overall": 81.57,
      "one_proxy": 3.49,
      "overall_formatted": "81,57 ₴",
      "one_proxy_formatted": "3,49 ₴ - 1 проксі",
      "overall_usd": 1.87,
      "one_proxy_usd": 0.08,
      "overall_formatted_usd": "1,87 USD",
      "version": 32,
      "one_proxy_formatted_usd": "0,08 USD - 1 проксі",
      "currency": "UAH",
      "sale_percentage": "1.05",
      "sale_amount_usd": 0.09,
      "sale_amount": 4.07
    },
    "renew_prices": {
      "overall": 81.57,
      "one_proxy": 3.49,
      "overall_formatted": "81,57 ₴",
      "one_proxy_formatted": "3,49 ₴ - 1 проксі",
      "overall_usd": 1.87,
      "one_proxy_usd": 0.08,
      "overall_formatted_usd": "1,87 USD",
      "version": 32,
      "one_proxy_formatted_usd": "0,08 USD - 1 проксі",
      "currency": "UAH",
      "sale_percentage": "1.05",
      "sale_amount_usd": 0.09,
      "sale_amount": 4.07
    }
  },
  "good": true,
  "timestamp": 1731359809,
  "cause": {
    "type": "user",
    "user_id": 1,
    "token_id": 9845,
    "token_sign": "edd87db549cd52292a47ad455bbea947"
  }
}